[package]
name = "DnfUtils"
version = "0.1.0"
edition = "2024"

[lib]
name = "utils"
crate-type = ["staticlib"]

[dependencies]
cxx = "1.0.192"
fern = "0.7.1"
futures-util = "0.3.31"
indicatif = "0.18.3"
libc = "0.2.180"
log = "0.4.29"
reqwest = { version = "0.13.1", default-features = false, features = ["stream", "native-tls"] }
tokio = { version = "1.49.0", features = ["rt-multi-thread", "full"] }
chrono = "0.4.43"
colored = "3.1.1"
env_logger = "0.11.8"
encoding_rs = "0.8.35"
tracing-appender = "0.2.4"
serde = { version = "1.0.228", features = ["derive"] }
toml = "0.9.11"

[build-dependencies]
cxx-build = "1.0.192"
